<?php

/*

	Plugin Name: Women Quotes
	Plugin URI: http://www.joeswebtools.com/
	Description: Adds a sidebar widget that display a random women quote.
	Version: 1.1.1
	Author: Philippe Paquet
	Author URI: http://www.philippepaquet.com/

	Copyright 2008 Philippe Paquet (email: philippe@paquet.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

function widget_women_quotes($args)
{
	// Pre-2.6 compatibility
	if(!defined('WP_PLUGIN_URL'))
	{
		if(!defined('WP_CONTENT_URL'))
		{
			define('WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
		}
		define('WP_PLUGIN_URL', WP_CONTENT_URL . '/plugins');
	}
	if(!defined('WP_PLUGIN_DIR'))
	{
		if(!defined('WP_CONTENT_DIR'))
		{
			define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
		}
		define('WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins');
	}

	// Get options
	$options = get_option('widget_women_quotes');

	// Set defaults if the options don't exist
	if(!is_array($options))
	{
		$options = array('title' => 'Women Quotes');
	}

	// Get options for form fields to show
	$title = htmlspecialchars($options['title'], ENT_QUOTES);

	// Help widget to conform to the active theme: before_widget, before_title and after_title
	extract($args);
	echo $before_widget . $before_title . $title . $after_title;

	// Get a quote
	$quote_array = file(WP_PLUGIN_DIR . '/women-quotes/women-quotes.txt');
	$rnd = rand(0, sizeof($quote_array) - 1);
	$quote = "$quote_array[$rnd]";

	// Display the quote
	echo "$quote";
	echo '<div style="text-align: center;"><font face="arial" size="-3">Quotes from <a href="http://www.davincismuse.com">Da Vinci\'s Muse</a></font></div>';

	// Help widget to conform to the active theme: after_widget
	echo $after_widget;
}

function widget_women_quotes_control()
{
	// Get options
	$options = get_option('widget_women_quotes');

	// Set defaults if the options don't exist
	if(!is_array($options))
	{
		$options = array('title' => 'Women Quotes');
	}

	// form posted?
	if($_POST['widget-women-quotes-submit'])
	{
		// Remember to sanitize and format use input appropriately.
		$options['title'] = strip_tags(stripslashes($_POST['widget-women-quotes-title']));
		update_option('widget_women_quotes', $options);
	}

	// Get options for form fields to show
	$title = htmlspecialchars($options['title'], ENT_QUOTES);

	// The form fields
	echo '<label for="widget-women-quotes-title">' . __('Title: ') . '<input id="widget-women-quotes-title" name="widget-women-quotes-title" type="text" value="' . $title . '" /></label>';
	echo '<input type="hidden" id="widget-women-quotes-submit" name="widget-women-quotes-submit" value="1" />';
}

function widget_women_quotes_init()
{
	if(function_exists('register_sidebar_widget'))
	{
		register_sidebar_widget("Women Quotes", "widget_women_quotes");
	}

	if(function_exists('register_widget_control'))
	{
		register_widget_control(array('Women Quotes', 'widgets'), 'widget_women_quotes_control');
	}
}

add_action("plugins_loaded", "widget_women_quotes_init");

?>
